Main Page Packages Class Hierarchy Compound List File List Compound Members

# textparseintolistofelements Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| textparseintolistofelements (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

If there is markup inside the Text element content then the text is parsed into a list of elements and text that forms the list of children of the element.

Retrieve the textual data from the last child of the second employee. That node is composed of two EntityReference nodes and two Text nodes. After the content node is parsed, the "address" Element should contain four children with each one of the EntityReferences containing one child.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1451460987 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-11C98490 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-745549614

Definition at line 50 of file textparseintolistofelements.java.

## Constructor & Destructor Documentation

textparseintolistofelements::textparseintolistofelements | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 52 of file textparseintolistofelements.java.
    00053  {
    00054       super(factory);
    00055
    00056    }

## Member Function Documentation

String textparseintolistofelements::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 116 of file textparseintolistofelements.java.
    00116                                 {
    00117       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/textparseintolistofelements";
    00118    }

void textparseintolistofelements::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 119 of file textparseintolistofelements.java. References DOMTestCase::doMain().
    00119                                           {
    00120         DOMTestCase.doMain(textparseintolistofelements.class,args);
    00121    }

void textparseintolistofelements::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 58 of file textparseintolistofelements.java. References DOMTestCase::assertEquals(), DOMTest::isExpandEntityReferences(), and DOMTest::load().
    00058                                                     {
    00059       Document doc;
    00060       NodeList elementList;
    00061       Node addressNode;
    00062       NodeList childList;
    00063       Node child;
    00064       String value;
    00065       Node grandChild;
    00066       List result = new ArrayList();
    00067
    00068       List expectedNormal = new ArrayList();
    00069       expectedNormal.add("1900 Dallas Road");
    00070       expectedNormal.add(" Dallas, ");
    00071       expectedNormal.add("Texas");
    00072       expectedNormal.add("\n 98554");
    00073
    00074       List expectedExpanded = new ArrayList();
    00075       expectedExpanded.add("1900 Dallas Road Dallas, Texas\n 98554");
    00076
    00077       doc = load("staff");
    00078       elementList = doc.getElementsByTagName("address");
    00079       addressNode = elementList.item(1);
    00080       childList = addressNode.getChildNodes();
    00081       for(int _index = 0; _index < childList.getLength();_index++) {
    00082       child = ( Node ) childList.item(_index);
    00083            value = child.getNodeValue();
    00084
    00085         if(
    00086
    00087         (value == null)
    00088
    00089         ) {
    00090         grandChild = child.getFirstChild();
    00091       value = grandChild.getNodeValue();
    00092       result.add(value);
    00093
    00094         }
    00095
    00096                 else {
    00097                         result.add(value);
    00098
    00099                 }
    00100
    00101         }
    00102
    00103         if(
    00104         isExpandEntityReferences()
    00105         ) {
    00106         assertEquals("assertEqCoalescing",expectedExpanded,result);
    00107
    00108         }
    00109
    00110                 else {
    00111                         assertEquals("assertEqNormal",expectedNormal,result);
    00112
    00113                 }
    00114
    00115    }

The documentation for this class was generated from the following file:

- textparseintolistofelements.java